
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>mysql 不指定 ip 的连接默认都是 localhost / iVAN</title>

    <meta name="description" content="mysql 不指定 ip 的连接默认都是 localhost 问题场景 在本地使用 docker 启动了一个 mysql 容器,并把本地的 33067 端口映射到容器内 mysql 的 3306 ,我们假设容器的 ip 地址是 172.17.0.2 ,使用本地的 mysql 客户端尝试连接容器内部的 mysql 服务. 方法 1 由于是绑定本地的 33067 端口,所以在连接时指定端口号即可. mysql -uroot -P33067 此时 mysql-client 实际上进入了本地的 mysql 服务,使用 status 命令可以查看 Connectio">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">mysql 不指定 ip 的连接默认都是 localhost</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>问题场景</p>
<p>在本地使用 docker 启动了一个 mysql 容器，并把本地的 33067 端口映射到容器内 mysql 的 3306 ，我们假设容器的 ip 地址是 172.17.0.2 ，使用本地的 mysql 客户端尝试连接容器内部的 mysql 服务。</p>
<p>方法 1</p>
<p>由于是绑定本地的 33067 端口，所以在连接时指定端口号即可。</p>
<p>mysql -uroot -P33067<br />
此时 mysql-client 实际上进入了本地的 mysql 服务，使用 status 命令可以查看</p>
<p>Connection id:      49<br />
Current database:   <br />
Current user:       root@localhost<br />
SSL:            Not in use<br />
Current pager:      stdout<br />
Using outfile:      ''<br />
Using delimiter:    ;<br />
Server version:     5.5.52-0ubuntu0.14.04.1 (Ubuntu)<br />
Protocol version:   10<br />
Connection:     Localhost via UNIX socket<br />
Server characterset:    latin1<br />
Db     characterset:    latin1<br />
Client characterset:    utf8<br />
Conn.  characterset:    utf8<br />
UNIX socket:        /var/run/mysqld/mysqld.sock<br />
Uptime:         1 hour 35 min 41 sec<br />
connecttion 信息是本地的 unix socket，这样的连接并没有连接到容器内的 mysql。</p>
<p>方法 2</p>
<p>尝试指定对应 host 和映射的本地端口，由于映射的是本地端口，所以 host 为 localhost</p>
<p>mysql -uroot -hlocalhost -P33067<br />
依然连接的是本地的 mysql 服务。</p>
<p>方法 3</p>
<p>直接使用容器的的 ip 地址，默认端口是 3306</p>
<p>mysql -uroot -h172.17.0.2<br />
连接成功，进入容器内部的 mysql 服务。</p>
<p>方法 4</p>
<p>使用 127.0.0.1 地址，并指定本地映射的端口 33067</p>
<p>mysql -uroot -h127.0.0.1 -P33067<br />
连接成功，进入容器内部的 mysql 服务。</p>
<p>分析</p>
<p>方法 1 和 方法 2 连接的 host 其实都是 localhost（不指定 host，默认是 localhost），此时不论端口指定什么，mysql-client 都尝试使用 unix socket 的通信方式，也就是本地的 socket ，所以如果要连接指定 ip 的 mysql 服务，必须要指定 ip ，即使该 ip 映射的是 localhost。</p>
<p>如上的场景由于容器内的 mysql 服务端口映射到本地的特定端口，即使是这种情况，连接依然需要指定本地 ip 127.0.0.1，而不是本地的 hostname localhost，因为一旦使用了 localhost，mysql-client 就尝试使用本地的 unix socket 连接本地的 mysql 服务。</p>
<p>因而可以得知，mysql 不指定 ip 的连接默认都是 localhost，尝试连接的是本地 mysql 服务，无论端口是什么</p>
<p>Beware that by default, the mysql client tries to connect using a unix socket when you tell it to connect to localhost. So do use 127.0.0.1 and not localhost:</p>
<p>$ mysql -h 127.0.0.1 -P 3306 -u root</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 09:34:20</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e7%ab%af%e5%8f%a3/" title="端口">端口</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>mysql 不指定 ip 的连接默认都是 localhost的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlmXAap.html" rel="bookmark">mysql设置指定ip远程访问连接实例&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了mysql设置指定ip远程访问连接的方法,分享给大家供大家参考.具体实现方法如下: 1. 授权用户root使用密码jb51从任意主机连接到mysql服务器: 复制代码 代码如下: GRANT ALL PRIVILEGES ON *.* TO 'root'@'%' IDENTIFIED BY 'jb51' WITH GRANT OPTION; flush privileges;   2.授权用户root使用密码jb51从指定ip为218.12.50.60的主机连接到mysql服务器:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pX9PnQz.html" rel="bookmark">mysql设置指定ip远程访问连接例子</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1. 授权用户root使用密码maozhuxi123从任意主机连接到mysql服务器   GRANT ALL PRIVILEGES ON *.* TO 'root'@'%' IDENTIFIED BY 'maozhuxi123' WITH GRANT OPTION; flush privileges;   2.授权用户root使用密码maozhuxi123从指定ip为218.12.50.60的主机连接到mysql服务器   GRANT ALL PRIVILEGES ON *.* TO 'root			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/6b3ZQkz.html" rel="bookmark">新手求教，为什么我的jsp连接mysql，跳出的网页上什么都没有，</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 新手求教,为什么我的jsp连接mysql,跳出的网页上什么都没有, &lt;%@ page language=&quot;java&quot; contentType=&quot;text/html; charset=UTF-8&quot; pageEncoding=&quot;UTF-8&quot; import = &quot;java.sql.*&quot;%&gt; &lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD HTML 4.01 Transiti			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxWPYRb.html" rel="bookmark">iptables防火墙只允许指定ip连接指定端口、访问指定网站</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  需要开80端口,指定IP和局域网 下面三行的意思: 先关闭所有的80端口 开启ip段192.168.1.0/24端的80口 开启ip段211.123.16.123/24端ip段的80口 # iptables -I INPUT -p tcp --dport 80 -j DROP # iptables -I INPUT -s 192.168.1.0/24 -p tcp --dport 80 -j ACCEPT # iptables -I INPUT -s 211.123.16.123/24 -p			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWK1ZEM.html" rel="bookmark">MySQL数据库如何开启远程连接&lpar;多备份&rpar;&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				开启 MySQL 的远程登陆帐号需要注意下面3点: 1.确定服务器上的防火墙没有阻止 3306 端口.MySQL 默认的端口是 3306 ,需要确定防火墙没有阻止 3306 端口,否则远程是无法通过 3306 端口连接到 MySQL 的. 如果您在安装 MySQL 时指定了其他端口,请在防火墙中开启您指定的 MySQL 使用的端口号. 如果不知道怎样设置您的服务器上的防火墙,请向您的服务器管理员咨询. 2.确定安全狗等没有拦截我们的备份服务器IP 如果你的服务器上有安装安全狗等安全类软件,请将我			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwKnekz.html" rel="bookmark">Mysql DNS反向解析导致连接超时过程分析&lpar;skip-name-resolve&rpar;&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				MySQL数据库收到一个网络连接后,首先拿到对方的IP地址,然后对这个IP地址进行反向DNS解析从而得到这个IP地址对应的主机名.用主机名在权限系统里面进行权限判断.反向DNS解析是耗费时间的,有可能让用户感觉起来很慢.甚至有的时候,反向解析出来的主机名并没有指向这个IP地址,这时候就无法连接成功了. 可以在配置文件里面禁止MySQL进行反向DNS解析,只需在my.cnf的[mysqld]段落中加入如下行即可: skip-name-resolve (windows与linux下一样的) 设备在连			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bj23Nmb.html" rel="bookmark">PowerShell脚本开发之对指定IP进行端口扫描&lowbar;PowerShell</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前些天看到一篇关于Metasploit与PowerShell的文章,里面提到了一句关于端口扫描的语句,写的很简练,思路很不错,可以抛开笨重的Nmap直接扫描指定的指定IP的端口: 复制代码 代码如下: 1..1024 | %{ echo ((new-object Net.Sockets.TcpClient).Connect(&quot;192.168.10.26&quot;,$_)) &quot;$_ is open&quot;} 2&gt;$null       语句中直接通过..列举了1到1024之间			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGmy5oM.html" rel="bookmark">Android系统手机手动指定IP地址的设置方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android系统手机/Pad默认是自动获得IP地址,可以针对某一已连接或正在连接的信号手动设置IP地址.详细步骤如下:   注意:不同厂商.版本的安卓系统,设置静态IP地址的界面或方法可能略有差异,请以实际为准.     1.在屏幕点击 设置 &gt;&gt;WLAN,长按已连接或正在连接网络的无线信号名,在弹出的对话框选择 修改网络,如下图所示:     2.弹出的页选中 显示高级选项 &gt;&gt; 静态,如下图所示:     3.在弹出的页面填写IP地址,网关,域名(即DNS服务器,不清楚该参数			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYwExxz.html" rel="bookmark">Nginx 拒绝指定IP访问网站的配置</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Nginx 拒绝指定IP访问的方法其实非常的简单,我们来看简单的配置 下面的这个例子将拒绝掉所有的连接: location / {   #这里将永远输出403错误.   deny all;   #这些指令不会被启用,因为到达的连接在第一条已经被拒绝   deny    192.168.1.1;   allow   192.168.1.0/24;   allow   10.1.1.0/1 } 当然我们可以有一部份合法的IP可以访问 控制规则按照声明的顺序进行检查,首条匹配IP的访问规则将被启用.			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz7255p.html" rel="bookmark" class="title">火狐关闭事件-火狐浏览器关闭事件。</a>
					<div>
						问题描述 火狐浏览器关闭事件. 支持火狐浏览器关闭事件..................... 解决方案 http://www.iteye.com/problems/15599 解决方案二: 找了好 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4RQ9M.html" rel="bookmark" class="title">烟花看尽，只是过客，三年所谓站长路</a>
					<div>
						站长 从事IT业5年,当所谓的站长三年.其间做过大多数类型的站点,包括图片,音乐,下载,电影,资讯,交友等等. 我承认我不是高手,所以我只能是过客,在网络中冷眼旁观别人的繁华与中落,一切似乎离我很遥远 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbKKAZb.html" rel="bookmark" class="title">解决基于NT内核的操作系统启动故障&lpar;2&rpar;</a>
					<div>
						解决 无论哪个阶段出现问题,那么 Windows 都可能停止响应(挂起)或提示错误消息,原因是缺少操作系统所需的文件或者这些文件已损坏.解决此类问题需要科学利用Windows 提供的方法,其中包括安全 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pLj8Lb.html" rel="bookmark" class="title">新闻更新系统&lpar;1&rpar;</a>
					<div>
						作者:米仙圣人   功能:根据数据库中的内容自动更新新闻,   方法:从数据库News中自动读去新闻内容,数据库名称News.mdb      &lt;!--#include file=&quot;c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b271kM.html" rel="bookmark" class="title">超级连接的提示中如何换行</a>
					<div>
						前段时间有网友在论坛发帖问＂如何实现超级连接的多行显示＂,其实方法很简单就是使用title 和 alt就可以实现.具体代码如下: &lt;a href=&quot;http://www.webjx.c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnjDZp.html" rel="bookmark" class="title">oracle 学习笔记之一</a>
					<div>
						oracle|笔记 从今天就开始oracle的探险旅程吧. 1.  windows 安装:      oralce    服务器只能装在服务器操作系统上,客户机可以安装在客户端操作系统上.       ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMRaP8b.html" rel="bookmark" class="title">vb&period;net中的数据库连接</a>
					<div>
						数据|数据库|数据库连接 在项目中选择左边&quot;工具盒&quot;中的数据库适配器,本例子用的是ODBC数据源,所以选择OdbcDataAdapter.选中OdbcDataAdapter,在属性 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qbaPLXz.html" rel="bookmark" class="title">案例分析&colon;一个日ip上万站点的改版心酸路</a>
					<div>
						作为优化人员,我们时时刻刻都要准备应对站点的升级改版问题,而我们也清楚的了解到升级改版对站点的排名流量影响是巨大的,网站越是伤筋动骨对我们站点造成的冲击就越大.当我们差尽信息,想到会遇到的每种情况,但 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZLeBM.html" rel="bookmark" class="title">Common ASP&period;NET Code Techniques &lpar;DPC&amp;amp&semi;amp&semi;DWC Reference&rpar;--7</a>
					<div>
						asp.net Figure 2.6Output of Listing 2.1.8 when viewed through a browser. The code in Listing 2.1.8 b ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ7vw2b.html" rel="bookmark" class="title">Win8&period;1系统开机黑屏一段时间才能进入桌面怎么办？</a>
					<div>
						  Win8.1系统开机黑屏一段时间才能进入桌面怎么办?          使用电脑的朋友一般都希望开机速度快一点,而一些使用Win8.1系统的用户反馈开机时黑屏时间过长,那么怎么解决类似开机登录前还 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mywvy5z.html" rel="bookmark" class="title">Excel教程 如何绘制雷达图</a>
					<div>
						今天本节教程就给大家介绍怎么通过excel快速制作雷达图. 具体操作步骤: 1.以下面表格为例制作雷达图,三个班每个科目成绩都罗列出来了. 2.选中该表格所有单元格 3.选择插入,点击其他图标下面的倒 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwLnYOb.html" rel="bookmark" class="title">win8系统必应天气无法更新怎么办</a>
					<div>
						  1.首先,咱们先将自己的win8系统重启一下,之后,咱们返回到win8系统的传统桌面位置,咱们同时按下键盘上的win+X快捷键打开电脑的快捷窗口,在打开的快捷窗口中,咱们点击选择命令提示符(管理员 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7EBjM.html" rel="bookmark" class="title">eclipse抛出异常问题</a>
					<div>
						问题描述 java.lang.NullPointerExceptionatpkg.MyGameCanvas.&lt;init&gt;(+8661)atpkg.TestGameMIDlet.&lt;in ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW215eb.html" rel="bookmark" class="title">搜索引擎优化基础之- 关键字</a>
					<div>
						1. 选择有效的关键字 关键字是描述你的产品及服务的词语,选择适当的关键字是建立一个高排名网站的第一步.选择关键字的一个重要的技巧是选取那些常为人们在搜索时所用到的关键字.2. 理解关键字在你收集所需 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN7QZWp.html" rel="bookmark" class="title">DOTA加速器上线 下载永久免费版</a>
					<div>
						[科技讯]8月29日消息,今日,易http://www.aliyun.com/zixun/aggregation/35957.html&quot;&gt;网游加速器联合电玩巴士推出DOTA加速器永久免 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPgAvp.html" rel="bookmark" class="title">Fedora 17 下安装codeblocks</a>
					<div>
						Fedora 17 下安装codeblocks:        1.直接从yum源安装:        sudo yum install codeblocks        2.源码安装        ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKQPEZp.html" rel="bookmark" class="title">阿里首站路演吸引800名投资者 马云重申治理结构</a>
					<div>
						比特网(ChinaByte)9月9日消息,据彭博社报道,知情人士透露,阿里巴巴在纽约沃尔道夫酒店(Waldorf Astoria http://www.aliyun.com/zixun/aggrega ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVjg5b.html" rel="bookmark" class="title">SqlDateTime溢出类错误解决</a>
					<div>
						错误: &quot;SqlDateTime 溢出.必须介于 1/1/1753 12:00:00 AM 和 12/31/9999 11:59:59 PM之间.&quot; 出现这种问题多半是因为你插入或 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY5r05M.html" rel="bookmark" class="title">highcharts 怎样动态为series的name&comma;data赋值</a>
					<div>
						问题描述 highcharts 怎样动态为series的name,data赋值 java得到map传给前台. 得到的map的key为 series的name,values为data. 怎样实现? 解决 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3rjBJz.html" rel="bookmark" class="title">Java8 Stream API介绍</a>
					<div>
						Stream API是Java8中处理集合的关键组件,提供了各种丰富的函数式操作. Stream的创建 任何集合都可以转换为Stream: //数组 String[] strArr = new Str ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdRjv6b.html" rel="bookmark" class="title">数据库&amp;quot&semi;负载均衡&comma;备份&comma;异地容灾&amp;quot&semi;设计</a>
					<div>
						数据库&quot;负载均衡,备份,异地容灾&quot;设计 Author: DigoalPS - 纯属个人看法,仅供参考. 1. 数据对象按分类放到不同的SCHEMA  为了方便实施数据库层面的备份和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAA00AM.html" rel="bookmark" class="title">关于jeecms V6的二次开发1</a>
					<div>
						问题描述 关于jeecms V6的二次开发1 如题,我想在jeecms 项目上进行一些简单的增删改查的操作,无论加在哪个模块,只要实现了增删改查就可以,求大神指教 解决方案 JEECMS V6 二次开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDerqLb.html" rel="bookmark" class="title">1&period;4亿IC卡存在安全隐患：掌握技术可修改钱数</a>
					<div>
						众多IC卡在生活中使用日前,工业和信息部发布了&lt;关于做好应对部分IC卡出现严重安全漏洞工作的通知&gt;,要求各地各机关和部门开展对IC卡使用情况的调查及应对工作.工信部的这则通知的背景是什么呢 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPklarM.html" rel="bookmark" class="title">Silverlight 调用WCF常见错误</a>
					<div>
						  错误1  错误描述:The remote server returned an error: NotFound 可能原因:WCF服务本身对数据包进行了限制,最大不能超过65535,Silverli ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDnwrWM.html" rel="bookmark" class="title">adapter-在 GridView 中更新 View</a>
					<div>
						问题描述 在 GridView 中更新 View 我为自定义的 GridView 实现了一个 ArrayAdapter,在 xml 中定义每一个 item 的 layout,情形是这样的: 在 Act ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYX0rrb.html" rel="bookmark" class="title">eclipse修改java类之后，不需要重启tomcat</a>
					<div>
						问题描述 如题百度,google都找了&lt;?xmlversion='1.0'encoding='gb2312'?&gt;&lt;Contextpath=&quot;/webapp&quot;doc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJqWVqp.html" rel="bookmark" class="title">揭密Emulex SAN光纤云存储网关的概念</a>
					<div>
						本文讲的是揭密Emulex SAN光纤云存储网关的概念,[IT168 资讯]EMC一位技术顾问Dave Graham最近更新的博客揭示了Emulex SAN光纤云网关的概念. 从概念上来看,ES3设备 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodWKXM.html" rel="bookmark" class="title">AI在智慧城市中的应用 &vert; &OpenCurlyDoubleQuote;AI&plus;传统行业&rdquo;全盘点</a>
					<div>
						据雷锋网了解,2008年,IBM提出了智慧城市的概念.智慧城市是指充分利用新技术及其带来的启发,让系统.运作和服务得到改造和提升,相对传统城市更具智慧的城市.智慧城市主要由&quot;数据收集.存储. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9jjQXp.html" rel="bookmark" class="title">深入浅出ES6新特性之函数默认参数和箭头函数&lowbar;javascript技巧</a>
					<div>
						1.函数参数的默认值 ES5中不能直接为函数的参数指定默认值,只能通过以下的变通方式: 从上面的代码可以看出存在一个问题,当传入的参数为0或者false时,会直接取到后面的值,而不是传入的这个参数值. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJOrvqb.html" rel="bookmark" class="title">c&plus;&plus;实现MD5算法实现代码&lowbar;C 语言</a>
					<div>
						测试结果和百度百科测试例子一致. 实现过程中需要注意事项:最后把四个变量A B C D 链接成结果时 ,注意变量高低位的先后顺序,具体参考 LinkResult()方法. md5.h 复制代码 代码如 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
